Une branche 4.0 pour passer à SPIP 4

mardi 28 décembre 2021
par  _Eric_
popularité : 3%

SPIP 4 est sorti depuis quelques mois maintenant, il était temps de faire évoluer notre squelette pour passer cette étape, après plus de 15 ans d’existence. C’est le cas depuis aujourd’hui, avec une version 4.0.0 de Sarka-SPIP disponible au téléchargement.

Cette version n’est compatible qu’avec SPIP 4, elle rompt ainsi la compatibilité avec SPIP 3. Si vous souhaitez rester en SPIP 3.2, cette version n’est donc pas pour vous.

Aucune évolution fonctionnelle n’est apportée par cette version de Sarka-SPIP qui se contente d’adapter le squelette à SPIP 4 et aux plugins qui ont été eux-mêmes adaptés pour l’occasion (quelques corrections ont été apportées ci et là). La plupart des plugins intégrés au squelette depuis des années sont encore compatibles mais certains ont du être abandonnés car plus compatibles avec SPIP 4 (l’intérêt de les faire évoluer est aussi bien faible).

C’est une première version, donc tout ne sera pas parfait. N’hésitez pas à remonter les problèmes rencontrés dans le forum dédié : Débusquer la nouvelle branche 4.0 pour SPIP 4.

Avant de se lancer dans cette aventure de migration principalement liée à SPIP 4 plus qu’au squelette lui-même, il est fortement conseillé de lire l’article Passer à Sarka-SPIP 4.0.0 pour SPIP 4.

Bon courage et bonnes année 2022 !